{% extends 'form/base.html' %}

{% block content %}

<body>
	
	{% include 'form/navigation.html' %}

	<main>

		<div class="container" id="form_content">

			{% if form.errors %}
				<div class="col-xs-6 alert alert-warning alert-dismissible" role="alert">
					<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					<ul>
						{% for key, value in form.errors.items %} 
							<li> <b>{{ key|escape }}</b> : {{ value|escape }}</li>
						{% endfor %}
					</ul>
				</div>
			{% endif %}

			<form action="" method="POST">
				{% csrf_token %}
				{% load form_extras %}

				<div class="row">
					<div class="col-xs-12">
						<h3>Personal details</h3>
					</div>
				</div>
				<div class="row" style="margin-top: 20px">
					{% for f in form %}
						{% if f.name in personal_tuple %}

							<div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
								  <div class="form-group">
								    <label for="{{ f.id_for_label }}">{{ f.label }}:</label>
								    {{ f|addcss:"form-control" }}
								  </div>
							</div>

						{% endif %}
					{% endfor %}
				</div>

				<div class="row" style="margin-top: 20px"> 
					<div class="col-xs-12">
						<h3>Parents details</h3>
					</div>
				</div>

				<div class="row" style="margin-top: 20px;">
					{% for f in form %}
						{% if f.name in parent_tuple %}

							<div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
								  <div class="form-group">
								    <label for="{{ f.id_for_label }}">{{ f.label }}:</label>
								    {{ f|addcss:"form-control" }}
								  </div>
							</div>

						{% endif %}
					{% endfor %}
				</div>

				<div class="row">
					
				</div>

				<div class="row" style="margin-top: 20px;margin-bottom: 20px">
					<div class="col-xs-12 text-center">
						<button type="submit" class="btn btn-primary" id="submit">SUBMIT</button>
					</div>
				</div>
			</form>
		</div>
	</main>
</body>

{% endblock %}